
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>选择合适的innodb_log_file_size / iVAN</title>

    <meta name="description" content="选择合适的innodb_log_file_size Choosing proper innodb_log_file_size 选择合适的innodb_log_file_size If you're doing significant amount of writes to Innodb tables decent size of innodb_log_file_size is important for MySQL Performance. However setting it too large will increase recovery t">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">选择合适的innodb_log_file_size</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Choosing proper innodb_log_file_size</p>
<p>选择合适的innodb_log_file_size</p>
<p>If you’re doing significant amount of writes to Innodb tables decent size of innodb_log_file_size is important for MySQL Performance. However setting it too large will increase recovery time, so in case of MySQL crash or power failure it may take long time before MySQL Server is operational again.</p>
<p>如果对 Innodb 数据表有大量的写入操作，那么选择合适的 innodb_log_file_size 值对提升MySQL性能很重要。然而设置太大了，就会增加恢复的时间，因此在MySQL崩溃或者突然断电等情况会令MySQL服务器花很长时间来恢复。</p>
<p>So how to find the optimal combination ?</p>
<p>那么，怎么才能找到最佳的配置组合呢？</p>
<p>First let me explain what happens on recovery and why large innodb_log_file_size slows down recovery. During startup after crash Innodb scans log files to find log records which only have been applied in memory and do not exist in tablespace. Log records for modifications which did not make it to the tablespace are then applied. This is called redo phase of recovery. It can take pretty long time and this time depends on number of variables - how large are rows ? (smaller log records mean more records for same sized logs), how random were data modifications (random updates will need random IO to check if pages are up to date), number of unflushed pages in innodb buffer pool and its size as well as performance of IO subsystem. As there are so many factors, it is hard to come up with any general guidelines, something like 1GB per 10 minutes of recovery time - instead you would need to apply load which is typical for your application, crash MySQL in the middle and watch it to recover. Doing this several times you should be able to estimate how long recovery time take and adjust your logs apropriately. The good thing is - redo phase is close to be proportional to size of log files, so expect 1GB logs to take twice time to apply compared to 512MB logs.</p>
<p>首先，让我先来解释一下恢复时都发生了什么事情以及为什么设置 innodb_log_file_size 的值太大了会让恢复过程变慢。Innodb 数据表崩溃再次启动时，MySQL 会扫描日志文件来找到那个只应用到内存中并且不存在的表空间的日志记录。那些没有没有放到表空间的修改日志记录就要被加进去。这叫做重做相位恢复。这需要相当长时间，它取决于变量的值 -- 到底有多少行记录？(日志记录的值越小意味着同样大小的日志里可以存储更多的记录)，随机数据修改的几率有多高(随机更新需要有更多的随机IO来检查内存页是否更新)，innodb 缓冲池中未被刷新的内存页数量并且它也是IO子系统的性能表现。由于有这么多因素，就很难产生通用的准绳，例如每10分钟恢复1GB数据的时长 -- 相反地，应该在典型的应用中来确定负载，在MySQL崩溃的过程中来监查它是怎么恢复的。这么做几次之后，你就应该能大致估算恢复所需的时间了从而更恰当地调整日志大小。好事是 -- 重做相位和日志文件大小成正比，因此预计恢复1GB的日志所需的时间大致是512MB的2倍。</p>
<p>Redo phase is however only one of the phases of recovery. The other important one is undophase - after log file are applied and database is in “physically consistent” state, Innodb will need to roll back certain transactions which Where not commited, but changes from which already made it to the database. Unlike “redo” phase “undo” phase can’t be reduced by sizing your log files. Even more undo phase can be slower with small log files. Undo phase takes considerable time if tranactions are long - Ie if you would delete 10000000 rows in the same transaction and crash in the middle recovery can take quite a long time. The only way you can reduce “undo” phase is size your transactions appropriately - so updates/inserts/deletes can be sized to affect limited number of rows.</p>
<p>然而重做相位是相位恢复的唯一方法。另一个重要的方法是撤销相位 -- 当日志文件应用完之后并且数据库处于 "物理一致性" 状态时，Innodb 会回滚那些没提交的事务，但是已经对数据库所做的修改就不管了。不像 "重做" 相位，"撤销" 相位不会因为日志尺寸变小而变快。甚至撤销相位还可能因为日志较小而变慢。撤销相位所耗时间因事务长短所致 -- 例如，如果需要在一个事务中删除 10000000 行记录，这个事务中途发生错误崩溃了，那么恢复就需要花很长时间了。唯一能减少 "撤销" 相位的方法是设置适当的日志大小值 -- 这样的话，记录更新/插入/删除时就会被限定在有限的数量里了。</p>
<p>Good thing about updo phase however is - it can be done in background as in MySQL 5.0. The rows affected by background rollback however might not be modified until rollback is complete.</p>
<p>不过撤销相位的好处是 -- 在MySQL 5.0中，它可以让在后台来执行。后台回滚的记录直至恢复完之后才能被修改。</p>
<p>One more thing to consider - how large log files do you need at all ? You could run benchmark with 1GB log files and 2GB and see if there is any performance benefit. After certain size increasing log file size do not dramatically increase performance, however this again depends on configuration and workload.</p>
<p>另一个要考虑的事是 -- 到底需要多大的日志？可以运行基准测试来检查 1GB 大小的日志相对 2GB 有什么好处。日志文件增加到一定大小后未必会戏剧性地提高性能，然而这同样依赖于配置以及MySQL的工作负载。</p>
<p>Note at this poing 4GB is maximum combined size allowed for innodb log files, which is however large enough limit for most onfigurations.</p>
<p>　　注意，这里举例中的 4GB 是 innodb 日志文件的最大值，不过它明显比常用的配置大得多了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:40:30</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/%e6%97%a5%e5%bf%97/" title="日志">日志</a>, <a href="https://www.iamivan.net/tag/time/" title="time">time</a>, <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8%e5%95%86%e5%ba%97ios%e5%b4%a9%e6%ba%83%e6%97%a5%e5%bf%97/" title="应用商店ios崩溃日志">应用商店ios崩溃日志</a>, <a href="https://www.iamivan.net/tag/recovery/" title="recovery">recovery</a>, <a href="https://www.iamivan.net/tag/large%c2%a0file/" title="large&nbsp;file">large&nbsp;file</a>, <a href="https://www.iamivan.net/tag/%e7%9b%b8%e4%bd%8d/" title="相位">相位</a>, <a href="https://www.iamivan.net/tag/androidiew-onfiguration/" title="androidiew onfiguration">androidiew onfiguration</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>选择合适的innodb_log_file_size的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMro1xp.html" rel="bookmark">选择合适的java脚本语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				脚本 选择合适的java脚本语言--如果你正考虑在java应用中集成脚本解释器,最难得是决定使用那种 摘要:脚本语言已经向java开发者证明了它的价值.它让客户实现应用功能的扩展和界面的个性化,从而程序的价值得以提升.另外,它们可以显著的简化程序开发者的设计任务,通过实现动态定义.装载和评估.对于开发人员,集成一种或多种脚本语言的任务是简单的,从越来越长的可选列表中选出一个确实困难的.本文描述了一些伴随java应用中脚本语言支持的问题,并从不同角度比较了Groovy, JudoScript, P			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2elvz.html" rel="bookmark">如何选择合适的用户体验研究方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				注:这篇文章原文发表在可用性大师Jakob Nielsen的网站上,系统介绍了如何选择合适的用户体验研究方法.好的研究方法要在恰当的时间用到恰当的地方才能发挥其应有的效果,切忌手里有把锤子就看什么都像钉子.现在用研组根据我们公司的情况重新编译修改了下,供大家参考. 用户体验研究当前已经可以解答相当广泛的问题.通过在一个3维坐标系以及典型的产品开发阶段中列出各种可用的研究方法,可以了解到什么时候应当使用哪种方法. 用户研究领域有着相当广泛的研究方法,这是件好事(没准也是件坏事).从那些已经广泛验证			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMl6wLz.html" rel="bookmark">选择合适的关键词 让优化排名事半功倍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于网站关键词的选择,大部分站长无外乎就是使用百度指数和站长类的查询工具.而还有一些心细的站长则是通过搜索引挚下拉框和相关搜索来选择关键词.给网站选择合适的关键词,不但使优化起来更加的容易,而且还可以花小功夫得高排名.关键词的选择是网站优化的第一步,而很多时候第一步则是关系着后期优化的方向和坚持.所以,对于关键词的选择,应该尽量的选合适自己用的.自己有能力优化的.回报率不低的. 首先关键词不要过于专业化.上网的用户学历水平都是参差不齐的,过于专业的关键词本身就针对性强的,除非你的网站是针对高学历			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zG9kvM.html" rel="bookmark">三方面分析站长如何选择合适的长尾关键词</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				热门关键词竞争过于激烈,致使很多三无站长转而选择合适的长尾关键词,而对于长尾关键词只要做好做足了,效果自然比主关键词实在.例如淘宝客类的,通常情况下,长尾关键词的转化率都非常的高.毕竟主关键词的转化率过于模糊,虽说流量很大,但是也有一些转化率还不及长尾关键词的.所以,对于站长选择关键词,不要先主后长尾,应该根据自己网站所需要的价值来选,如果是做流量的,那么选择流量大的没问题;如果是重视转化率的,自然流量大如果转化率低,那么应该尽早的放弃掉,因为你也不知道有没有把握优化上去.对于分析长尾关键词是否			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqXkkb.html" rel="bookmark">浅谈站长如何选择合适的友情链接平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				友情链接平台是所有站长做外链的好去处,因为通过友情链接做的外链不但是有质量的,而且还是单向导入的,所以所有站长都愿意收集友情链接平台当做是外链资源.但是是不是所有的友情链接平台都合适做外链呢?其实不然,一些友情链接平台本身的效果排名都不好,做了也等于白忙活的.那么站长应该怎么选择适合当外链资源的友情链接平台呢?今天笔者来分享一下心得: 一.友情链接平台的权重 这个因素有什么作用,大家都知道吧.高权重的单向导入外链是什么含义,我想大家都知道也都喜欢.所以在寻找友情链接平台时,要确保其本身需要一定的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQP99wz.html" rel="bookmark">为你的集成需求选择合适的ESB</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				公司内外的不同应用间需要进行相互通信.企业服务总线(Enterprise Service Bus,ESB)已经被视为支持应用集成的 工具.但是ESB是什么呢?什么时候使用集成套件(integration suite)更为合适呢?下一个项目最合适的产品是什么?本 文将会讲述为什么没有银弹(silver bullet)以及为何有时ESB可能也是错误的选择.对于项目的成功来讲,选择合适的产 品是至关重要的. 术语&quot;企业服务总线&quot;的定义 众多来自不同供应商的产品都包含了&quot;企业服务总线			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6ywjz.html" rel="bookmark">如何选择合适的导航方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  此文章列出了目前移动端常用的一些导航方式,并列出了优缺点.希望大家在做产品的时候能有所参考,有所考量.在不同的环境,不同的情况下选择合适的导航方式.让产品更加易用,好用.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/balA9mz.html" rel="bookmark">机房布线 选择合适的布线产品</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于机房组网,我们要从企业本身的实际需求出发,根据组网经费的多少来务实地规划与设计网络:在采购好网络设备和服务器等设备后,如何对机房.办公地点进行合理的网络布局与布线,对于设计者来说,也是致关重要的. 机房布线系统在施工过程中主要分为两个大的部分,一是前期设计,另一个就是产品选型.一个优秀的机房布线系统,既要设计得极具前瞻性和可扩展性,又要采用最合适的布线产品. 选择合适的机房布线铺设方式 在各类机房中,综合布线系统的铺设位置分上走线和下走线两大类, 即吊顶布线和地板布线.有的用户会问,上走线和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKXr1M.html" rel="bookmark">css教程&colon;选择合适的、有意义的元素描述内容</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  您应该明白为什么我会说到这个,选择合适的.有意义的元素去描述你的内容,确保您所选择的是富有语义的类class和id特征值.做正确的事情会使你的生活变得容易很多,如果你是某个团队的一分子,对团队其他成员来说也是如此.看一下下面的这条规则: Webjx.Com .l13k { color: #369; } Webjx.Com 如果您是刚接手这个工作,您在CSS文件中看到了上面的内容,您能不能说清楚这个类是什么意思? 大部分情况下您都会说不.这个类的名称可能是个缩写,但是恐怕没有办法去弄清楚他到底			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvGWAp.html" rel="bookmark" class="title">Linux忘记root密码怎么办？</a>
					<div>
						开篇前言:Linux系统的root账号是非常重要的一个账号,也是权限最大的一个账号,但是有时候忘了 root密码怎么办?总不能重装系统吧,这个是下下策,其实Linux系统中,如果忘记了root账号密码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnoJAz.html" rel="bookmark" class="title">Java程序的性能优化StringBuffer与Vector</a>
					<div>
						程序|性能|优化 ? Java使得复杂应用的开发变得相对简单.毫无疑问,它的这种易用性对Java的大范围流行功不可没.然而,这种易用性实际上是一把双刃剑.一个设计良好的Java程序,性能表现往往不如一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqxl2b.html" rel="bookmark" class="title">购物类网站产品或主题页面视觉设计一致性</a>
					<div>
						在设计中保持一致性(uniformity)是网页设计中一个重要的组成部分,它能使你的设计有效地传达信息而不会导致用户迷惑或焦虑.保证一致性的一个有效方法是撰写正式的&quot;设计风格标准&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7Geab.html" rel="bookmark" class="title">Oracle技术：Shell字符串比较</a>
					<div>
						Shell 中整数比较方法及字符串的比较方法,如等于,不等于,大于,大于等于,小于,等等. 二元比较操作符,比较变量或者比较数字.注意数字与字符串的区别. ---------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnZqYz.html" rel="bookmark" class="title">PS合成万圣节黑夜中恐怖的暗黑魔王</a>
					<div>
						  PS合成万圣节黑夜中恐怖的暗黑魔王          最终效果 1.新建1900px * 1948px,分辨率为150px文件. 2.把素材拖到文档,调整合适的位置,新建色彩平衡调整图层,对素材创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBlDQb.html" rel="bookmark" class="title">在Excel中输入文字不自动换行</a>
					<div>
						  使用Excel编辑报表的时候,在一个单元格中输入了超出该单元格宽度的文字,但程序不自动换行,而是在同一行继续输入. 出现这种问题并不是Excel本身的故障,而是对Excel进行了错误的设置.解决办 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLxYWb.html" rel="bookmark" class="title">数字暗房：用色彩调动层次立现3招</a>
					<div>
						图像中的层次表现是摄影作品完美效果的关键所在,可划分为明暗层次.色彩层次.景深层次等等.这里,我们将通过色彩层次来改善明暗层次的不足,达到图像理想的色彩效果. 往往,我们得到的成像,由于曝光控制或拍摄 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badg8Xz.html" rel="bookmark" class="title">115网盘未绑定手机如何下载</a>
					<div>
						临时解决方案,可能被封.欲下从速. 1.打开115资源的网页,如果资源分享着没有绑定手机,网页上会显示&quot;未绑定手机禁止分享给大众功能,请联系资源发布者获取资源&quot; 2.收藏该资源到自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwmeYb.html" rel="bookmark" class="title">怎样同时打开多个飞信？</a>
					<div>
						 1.打开飞信的安装目录,找到Client.config文件,一般在C:/Program Files/China Mobile/Fetion/Client.config 2.用记事本打开,内容如下:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkO8Ab.html" rel="bookmark" class="title">清空回收站还是显示为满怎么办？</a>
					<div>
						  一般来说,想要回收站里的文件不占内存,我们一般一段时间会清理一次!但是有时在清理的过程中,会碰到一些问题,就如明明是清理干净的回收站,却还是被显示已占满,这是怎么回事呢?要怎么解决?现在一起去看看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaR7qM.html" rel="bookmark" class="title">更为简单的Ctrl&plus;S自动刷新浏览器工具-LinrF5</a>
					<div>
						一款自动刷新浏览器的小工具,它通过监听用户的按键,如果在键盘按下 Ctrl+S ,则自动刷新浏览器,操作十分简单,前端开发必备神器,快速提升工作效率,支持IE.火狐以及最新版的chrome33.之前我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWB10b.html" rel="bookmark" class="title">SEO的8大基础点让你摘掉新手的高帽子</a>
					<div>
						通过了一段时间的学习.武汉seo张帆已经摘掉了seo新手的高帽子.虽然还没有步入老手的行列,但是我会加强执行力的建设,不断提升自身水平,争取早日成为一名seo界的高手.我个人也是刚从菜鸟阶段转变过来的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJBxkp.html" rel="bookmark" class="title">jquery&period;validate使用攻略 第一部&lowbar;jquery</a>
					<div>
						主要分几部分 jquery.validate 基本用法 jquery.validate API说明 jquery.validate 自定义 jquery.validate 常见类型的验证代码 下载地址 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVPm3b.html" rel="bookmark" class="title">TCP&sol;IP重传超时--RTO</a>
					<div>
						概述:本文讨论主机在发送一个TCP数据包后,如果迟迟没有收到ACK,主机多久后会重传这个数据包.主机从发出数据包到第一次TCP重传开始,RFC中这段时间间隔称为retransmission timeo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmXK0z.html" rel="bookmark" class="title">限制文本输入框只能输入0-9数字</a>
					<div>
						可以用Javascript对文本框进行检查,过滤掉非0-9的字符. &amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kB5lM.html" rel="bookmark" class="title">asmack   注册不了&period;&period;&period;&period;&period;&period;&period;大婶，帮帮忙</a>
					<div>
						问题描述 asmack 注册不了.......大婶,帮帮忙 xmppconn.getConnection().sendPacket(reg);到这就出问题,大婶 ..帮帮忙 一:用的asmack-an ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQkNYp.html" rel="bookmark" class="title">【解决】联想thinkpad E40 如何禁用触摸板</a>
					<div>
						方法一: 按Fn+F8来设置.如果按快捷键没有弹出触摸板属性设置界面.从开始–控制面板–打印机和其他硬件–鼠标,点击后弹出鼠标属性界面.如下图.切换到UltraNav标签页,把Enable Touch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z404mqz.html" rel="bookmark" class="title">优酷-手机端视频播放问题。。</a>
					<div>
						问题描述 手机端视频播放问题.. 放到优酷上的视频,在自己网站的PC端上可以播放,但是放到自己网站的手机端却不能播放了,什么原因,会显示&quot;视频信息出错&quot;的提示,有的可以播有的不行, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3r9Rgz.html" rel="bookmark" class="title">strcpy-C语言，这个错误是什么意思呀？</a>
					<div>
						问题描述 C语言,这个错误是什么意思呀? #include #include struct data{ char s[30]; int n; float x;};struct data example ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rdNAz.html" rel="bookmark" class="title">sql 删除重复数据</a>
					<div>
						sql 删除重复数据 本文章提供一款mysql删除重复数据,就是数据表中存在二条以上的重复数据,删除编号最小的一条信息. delete `borough_name` as a from fke_bor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8x8Ab.html" rel="bookmark" class="title">凤凰传媒拟购公司被指侵权上市公司层面未涉及诉讼</a>
					<div>
						盛大游戏[微博]日前向中国证监会[微博]及江苏证监局.上交所[微博]发送投诉函,举报凤凰传媒(601928)下属子公司江苏凤凰数字传媒有限公司全面要约收购的江苏易乐网络科技有限公司.上海都玩网络科技有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8xeAb.html" rel="bookmark" class="title">网站导航具体的操作方法，导航关键词如何布局</a>
					<div>
						摘要: 网站导航作为网站优化的重点应该有具体的操作方法,导航关键词如何的布局,栏目URL如何设计都需要根据用户体验原则谨慎考虑,下面王克江为大家具体解说: 一.网站导航关键词的 网站导航作为网站优化的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmdomz.html" rel="bookmark" class="title">解析ADT-20问题 android support library&lowbar;Android</a>
					<div>
						this template depends on the android support library,which is either not installed,or the template d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NJBPz.html" rel="bookmark" class="title">安全狗云备份 数据库、网站备份好帮手</a>
					<div>
						近日,安全狗云备份正式上线并试运行,主要为广大服务器与网站管理者提供网站文件.数据库文件.配置文件等重要数据的备份及备份还原功能,同时,安全狗云备份还支持本地与服务器间文件中转.服务器间备份文件共享等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NGG0z.html" rel="bookmark" class="title">集成环信的群聊功能  都需要导入什么文件啊</a>
					<div>
						问题描述 我目前是  集成了环信的 SDK  和环信聊天界面里的UI  单聊的部分已经完全实现   可是群聊不知道需要导入什么类 解决方案 看你们的需求,群聊的接口文档都有写,demo也完全的实现了解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4mOrb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;Ceph 顾问委员会&rdquo;接替 Red Hat 管理 Ceph</a>
					<div>
						Red Hat 的 Ceph 是一个很受欢迎的分布式文件系统,虽然它本身是开源的,但项目的战略方向一致掌握在 Red Hat 手里.现在这一情况将得到改变,Red Hat 近日宣布,将把 Ceph 的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvJVXb.html" rel="bookmark" class="title">McAfee警告熊猫烧香病毒或卷土重来</a>
					<div>
						北京时间11月27日晚间消息,据国外媒体今日报道,杀毒软件厂商迈克菲(McAfee)警告称,三年前感染了中国数百万台电脑的熊猫烧香病毒已出现病毒变种,即将卷土重来. 熊猫烧香病毒又被称为Fujacks ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7Ed1p.html" rel="bookmark" class="title">解决Matplotlib中文乱码问题</a>
					<div>
						.找到  代码如下 复制代码 #font.family : sans-serif 去掉注释 2.找到 #font.sans-serif : Bitstream Vera Sans, Lucida Gr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvar3b.html" rel="bookmark" class="title">从0到1构建数据生态系列：数据价值挖掘</a>
					<div>
						这估计&lt;从0到1构建数据生态系列&gt;的最后一篇,主题是数据价值. 在之前,我们所有做的一切一切,都是基础,那么其最终的目的是什么? 当然,结果很明显,就是数据价值,那么,作为数据生态的最上层 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWwmvM.html" rel="bookmark" class="title">华为第三季全球移动网络设备市场位居第二</a>
					<div>
						网易科技讯 11月14日消息,国外研究公司http://www.aliyun.com/zixun/aggregation/13533.html&quot;&gt;Dell'Oro周五表示,中国华为在受 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
